<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=margenventaproductos.xls");
header("Pragma: no-cache");
header("Expires: 0");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Estadisticas de Ventas</title>
<?
include("../conex.php");
$txtfecha=$_POST["txtfecha"];
$txtfecha1=$_POST["txtfecha1"];

$dia = substr ($txtfecha, 0, 2);
$dia1 = substr ($txtfecha1, 0, 2);
$mes = substr ($txtfecha, 3, 2);
$mes1 = substr ($txtfecha1, 3, 2);
$mes2=$mes;

$aņo = substr ($txtfecha, 6, 4);
$aņo1 = substr ($txtfecha1, 6, 4);

$ini = $aņo.'/'.$mes.'/'.$dia;
$fin = $aņo1.'/'.$mes1.'/'.$dia1;

 
$vende =$_POST["lstvendedor"];
$fam =$_POST["lstfamilia"];
if ($vende==0) $vendedor='Todos';
else
	{
	$sql_bv = "SELECT * FROM vendedor WHERE Id = $vende";
  	$resbv = mysql_query($sql_bv,$enlace);	
	while (mysql_fetch_object ($resbv))
			{
			$vendedor = mysql_result($resbv, 0, "nombres");
			}
	}
if ($fam==0) $familia='Todas';
else
	{
	$sql_bv = "SELECT * FROM familia WHERE id = $fam";
  	$resbv = mysql_query($sql_bv,$enlace);	
	while (mysql_fetch_object ($resbv))
			{
			$familia = mysql_result($resbv, 0, "descripcion");
			}
	}

?>



<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">  <br>
<div align="center" class="titulos2">MARGENES VENTAS Vendedor-Productos DESDE EL 
<?=$txtfecha?> HASTA EL <?=$txtfecha1?> Vendedor =  <?=$vendedor?> </div>
<div align="center">

    <table width="80%" border="0">
      <tr bgcolor="#CCCCCC">
	  	
        <th scope="col"><div align="center">CODIGO</div></th>
        
        <th scope="col"><div align="center">PRODUCTO</div></th>
       <th scope="col"><div align="center">CANTIDAD</div></th>
     <th scope="col"><div align="center">KILOS</div></th>
      <th scope="col"><div align="center">COSTO_U</div></th>
		<th scope="col"><div align="center">COSTO_T</div></th>
     <th scope="col"><div align="center">PRECIO_U</div></th>
		<th scope="col"><div align="center">NETO</div></th>
        <th scope="col"><div align="center">MARGEN</div></th>
       
		<?		
		 $total_kilos=0;
			$total_neto=0;
			$total_costo_t=0;
			$total_margen=0;
	if (($vende == 0) && ($fam == 0))	$sqlfs = "select cod_producto,  vendedor, num_dcto, salida.tipo_dcto, sum(cantidad), sum(sub_total), sum(descuentos), sum(cantidad*peso) as kls from salida,  movimiento, productos WHERE movimiento.cod_producto=productos.codigo AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7') AND salida.id = movimiento.id_soe and movimiento.entrada_salida_traspaso='S' GROUP BY cod_producto ORDER BY productos.descripcion ASC";

 else if ($vende==0)

		  	$sqlfs = "select cod_producto, salida.tipo_dcto, sum(cantidad), sum(sub_total), sum(descuentos), sum(cantidad*peso) as kls from salida,  movimiento, productos WHERE movimiento.cod_producto=productos.codigo AND productos.cod_familia=$fam AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7')  AND salida.id = movimiento.id_soe and movimiento.entrada_salida_traspaso='S'  GROUP BY cod_producto ORDER BY productos.descripcion ASC";
			
	else if ($fam==0)
	  	$sqlfs = "select cod_producto, salida.tipo_dcto, sum(cantidad), sum(sub_total), sum(descuentos), sum(cantidad*peso) as kls from salida,  movimiento, productos WHERE movimiento.cod_producto=productos.codigo AND salida.vendedor='$vende' AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7')  AND salida.id = movimiento.id_soe and movimiento.entrada_salida_traspaso='S' GROUP BY cod_producto ORDER BY  productos.descripcion ASC";
	
   else
		  
		  	$sqlfs = "select cod_producto,  vendedor, num_dcto, salida.tipo_dcto, sum(cantidad), sum(sub_total), sum(descuentos), sum(cantidad*peso) as kls from salida,  movimiento, productos WHERE movimiento.cod_producto=productos.codigo AND (fecha_emision>='$ini' and fecha_emision<='$fin') and productos.cod_familia=$fam AND vendedor='$vende' and (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7')  AND salida.id = movimiento.id_soe and movimiento.entrada_salida_traspaso='S' GROUP BY cod_producto ORDER BY productos.descripcion ASC";


		  	$resfs = mysql_query($sqlfs,$enlace);	

			$cont=0;
			while (mysql_fetch_object ($resfs))
 				{
									
				$rut = mysql_result($resfs, $cont, "cod_producto");
				
				if ($rut!=''){
				$sqlc = "SELECT * FROM productos WHERE codigo='$rut'";
		  		$resc = mysql_query($sqlc,$enlace);
				$costo_u = mysql_result($resc, 0, "costo");
				$precio_u = mysql_result($resc, 0, "precio");
				$nombre = mysql_result($resc, 0, "descripcion");
				}
				
				else 
				{
				}
				
				$kilos= mysql_result($resfs, $cont, "kls");
				
				$cantidad= mysql_result($resfs, $cont, "sum(cantidad)");
				$costo_t=$costo_u*$cantidad;
				
				$cantidad=number_format($cantidad,2,',','.');
			
				$neto= mysql_result($resfs, $cont, "sum(sub_total)");
				$desc= mysql_result($resfs, $cont, "sum(descuentos)");
				$margen=$neto-$costo_t;
				$total_neto+=$neto;
				$total_costo_t+=$costo_t;
				$total_margen+=$margen;
				$total_kilos+=$kilos;
				$kilos=number_format($kilos,2,',','.');
				$neto=number_format($neto,0,',','.');
				$costo_t=number_format($costo_t,0,',','.');
				$costo_u=number_format($costo_u,0,',','.');
				$precio_u=number_format($precio_u,0,',','.');
			?>	
				 
			<tr>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
		          <?=$rut?>    
	          </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
				  <?=$nombre?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$cantidad?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong> <?=$kilos?></strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="center"><span class="Estilo1"><strong> <?=$costo_u?></strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong> <?=$costo_t?></strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="center"><span class="Estilo1"><strong> <?=$precio_u?></strong></span></div></td>
<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong> <?=$neto?></strong></span></div></td>
<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong> <?=$margen?></strong></span></div></td>
                
	        </tr>	
			<?
			$cont+=1;
			}
			$total_kilos=number_format($total_kilos,2,',','.');
			$total_neto=number_format($total_neto,0,',','.');
			$total_costo_t=number_format($total_costo_t,0,',','.');
			$total_margen=number_format($total_margen,0,',','.');
			?>
			<tr>
  <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong> </strong></span></div></td>
  <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong></strong></span><strong>Totales </strong></div></td>
  <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong></strong></span></div></td>
                
      <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><?=$total_kilos?> </span></div></td>
      <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"> </span></div></td>
      <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><?=$total_costo_t?> </span></div></td>  
      <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"> </span></div></td>           
      <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><?=$total_neto?> </span></div></td> 
        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><?=$total_margen?> </span></div></td> 
	        </tr>
    </table>
	<form name="form1" method="post" action="">

	  <input type="button" name="imprimir" id="imprimir" value="Imprimir" onClick="fun_imprimir();">
	  <input name="txt_nv" id="txt_nv" type="text" style="visibility:hidden" size="1">
    </form>
  </div>
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
function fun_imprimir()
	{
	document.getElementById('imprimir').style.display = "none";
	window.print();
	document.getElementById('imprimir').style.display = "block";
	};

</script>